cPanel + 2.6.10 Kernel + Grsecurity problem!

x-man

Well-Known Member
Jan 25, 2004
118
1
166
I use guide on:
http://eth0.us/?q=node/25

when I update kernel on my red hat 9 box (celeron 2.0GHz) and now I have some problems with cpanel/whm:

When I want update cpanel I have this errors:
Retrieving http://layer1.cpanel.net/fp/frontpage-5.2-0.i386.rpm
initfpsuexec: using apache 1.x support
PHP version file is up to date
Doing a manual update...
Cpanel updates are coming from layer2.cpanel.net
Send Disk Warning
Checking /dev/hda....OK
x - creating lock directory
x - SKIPPING /usr/local/lib/php.ini (file already exists)
Ftp Setup Script Version 6.0
Fetching version information from http://updates.cpanel.net/ftpinstall/version (RELEASE)....Done
This is the proftpd 1.2.10tls installer release number 5 for platform redhat 9
rpmdb: unable to join the environment
error: db4 error(11) from dbenv->open: Resource temporarily unavailable
error: cannot open Packages index using db3 - Resource temporarily unavailable (11)
error: cannot open Packages database in /var/lib/rpm
Using RPM Backend: RPM version 4.2
rpmdb: unable to join the environment
error: db4 error(11) from dbenv->open: Resource temporarily unavailable
error: cannot open Packages index using db3 - Resource temporarily unavailable (11)
error: cannot open Packages database in /var/lib/rpm

and every new line I have errors:
error: db4 error(11) from dbenv->open: Resource temporarily unavailable
error: cannot open Packages index using db3 - Resource temporarily unavailable (11)
error: cannot open Packages database in /var/lib/rpm

Also, now when I click on "Service Status" I have this for EXIM:
exim (packageeximisnotinstalled) up

On old kerner all work fine!

Can somebody help to me, what now?

Thanks
 

x-man

Well-Known Member
Jan 25, 2004
118
1
166
Can somebody help to me :(
Whole day I search on google and nothing, I can`t fix this RPM problem...
 

eth00

Well-Known Member
PartnerNOC
Mar 30, 2003
721
1
168
NC
cPanel Access Level
Root Administrator
picoyak said:
Well.... I found this: http://www.uwsg.iu.edu/hypermail/linux/kernel/0403.3/0234.html

With this response: http://www.uwsg.iu.edu/hypermail/linux/kernel/0403.3/0242.html

So it seems that you either go back to your old kernel, or utilize export LD_ASSUME_KERNEL=2.4.1 and then fix your rpm binary.

You may want to take eth00 up on his offer ;)

Sorry I can't help more!

The export works great :) I actually was just working on another RH9 system today and found the same problem. Thanks.
 

x-man

Well-Known Member
Jan 25, 2004
118
1
166
yes, export work fine but what after that, that work one time, how I can fix this error, now I have problem with exim (exim (packageeximisnotinstalled)), can I upgrade RPM to new version on this Redhat 9 and on who and how?
Now rpm --version = 4.2

Must be some way, I can`t find nothing on net...
 

eth00

Well-Known Member
PartnerNOC
Mar 30, 2003
721
1
168
NC
cPanel Access Level
Root Administrator
Well being as RH9 is EOL I would not hold my breath as to finding a solution. You really should just upgrade to ferdora/centos/RHEL.
 

x-man

Well-Known Member
Jan 25, 2004
118
1
166
Very nice but I don`t know how I can upgrade to one of that OSs and for RHEL I must pay...also, how much time server must be down and I must format HD?

I want fix this on REDHAT 9 and soon buy new server with new OS and shutdown this...but I don`t know how I can fix this, I search google 1000s times and nothing for me, on who version I can upgrade this RPM 4.2 on REDHAT 9 and where I can download that? Can that fix this problem, somebody must now this, somebody must have redhat 9 and kernerl 2.6.10...